# Generated by Django 2.2 on 2021-02-16 15:35

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Wallet',
            fields=[
                ('id', models.CharField(max_length=100, primary_key=True, serialize=False)),
                ('owned_by', models.CharField(max_length=100)),
                ('status', models.BooleanField(default=False)),
                ('enabled_at', models.DateTimeField(auto_now_add=True)),
                ('balance', models.FloatField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='WalletDeposit',
            fields=[
                ('id', models.CharField(max_length=100, primary_key=True, serialize=False)),
                ('deposited_by', models.CharField(max_length=100)),
                ('status', models.BooleanField()),
                ('deposited_at', models.DateTimeField(auto_now_add=True)),
                ('amount', models.FloatField()),
                ('reference_id', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='WalletWithdrawal',
            fields=[
                ('id', models.CharField(max_length=100, primary_key=True, serialize=False)),
                ('withdrawn_by', models.CharField(max_length=100)),
                ('status', models.BooleanField()),
                ('withdrawn_at', models.DateTimeField(auto_now_add=True)),
                ('amount', models.FloatField()),
                ('reference_id', models.CharField(max_length=100)),
            ],
        ),
    ]
